Index: code/branches/Presentation_FS19/data/levels/Asteroids2D.oxw
===================================================================
--- code/branches/Presentation_FS19/data/levels/Asteroids2D.oxw	(revision 12410)
+++ code/branches/Presentation_FS19/data/levels/Asteroids2D.oxw	(revision 12411)
@@ -44,5 +44,5 @@
     <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
     <Light type=directional position="-100, 10000, -700" lookat="0.2, -1, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass= Asteroids2DShip pawndesign=spaceshipasteroids2d />
+    <SpawnPoint team=0 position="0,0,50" lookat="0,0,0" spawnclass= Asteroids2DShip pawndesign=spaceshipasteroids2d />
 
     <!--<Model mesh="axes.mesh" scale=10 position="0,0,0" /> -->
Index: code/branches/Presentation_FS19/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/Presentation_FS19/data/levels/emptyLevel.oxw	(revision 12410)
+++ code/branches/Presentation_FS19/data/levels/emptyLevel.oxw	(revision 12411)
@@ -1,5 +1,5 @@
 <LevelInfo
- name = "Empty level"
- description = "A level with absolutely nothing in it."
+ name = "Emptylevel"
+ description = "A clone version of the BBTAN game."
  tags = "test"
  screenshot = "emptylevel.png"
Index: code/branches/Presentation_FS19/data/levels/includes/OrxoBloxWeapon.oxi
===================================================================
--- code/branches/Presentation_FS19/data/levels/includes/OrxoBloxWeapon.oxi	(revision 12411)
+++ code/branches/Presentation_FS19/data/levels/includes/OrxoBloxWeapon.oxi	(revision 12411)
@@ -0,0 +1,24 @@
+    <weaponslots>
+      <WeaponSlot position="0,-5,0" />/>
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>
+          <BallGun mode=0 munitionpershot=0 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="laserbeam.mesh" />
+        </Weapon>
+      </WeaponPack>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
+        </links>
+      </WeaponPack>
+    </weaponpacks>
+    <munition>
+      <BallMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=1 replenishamount=1 replenishinterval=4/>
+    </munition>
Index: code/branches/Presentation_FS19/data/levels/orxoblox.oxw
===================================================================
--- code/branches/Presentation_FS19/data/levels/orxoblox.oxw	(revision 12411)
+++ code/branches/Presentation_FS19/data/levels/orxoblox.oxw	(revision 12411)
@@ -0,0 +1,85 @@
+<LevelInfo
+ name = "OrxoBlox"
+ description = "A clone version of the BBTAN game."
+ tags = "minigame"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("OrxoBloxHUD.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipAssff2.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipOrxoBlox.oxt")
+  include("templates/spaceshipEscort.oxt")
+?>
+
+<Template name=OrxoBloxball>
+  <OrxoBloxBall 
+   defScoreSound = "sounds/PlayerWinScore_cut.ogg"
+   defBatSound = "sounds/Button.ogg"
+   defBoundarySound = "sounds/Button.ogg">
+    <attached>
+      <Model mesh="sphere.mesh" scale=2 />
+      <!--Billboard scale=0.2 colour="1.0, 1.0, 0.5" material="Examples/Flare" /-->
+      <Backlight scale=0.2 colour="1.0, 1.0, 0.5" width=7 length=500 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" />
+      <Light type=point diffuse="1.0, 1.0, 0.5" specular="1.0, 1.0, 0.5" attenuation="1200, 1.0, 0.0035, 0.00005" />
+      <ParticleSpawner name=hiteffect position="0,0,0" source="Orxonox/sparks2" lifetime=0.01 autostart=0 mainstate=spawn />
+    </attached>
+    <eventlisteners>
+      <EventTarget target=hiteffect />
+    </eventlisteners>
+  </OrxoBloxBall>
+</Template>
+  
+  
+  <Template name=OrxoBloxwall>
+    <OrxoBloxWall>
+    </OrxoBloxWall>
+  </Template>
+
+    
+<Level
+  plugins = "OrxoBlox"
+ gametype = "OrxoBlox"
+>
+
+ <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+
+  <Scene
+   ambientlight = "0.5, 0.5, 0.5"
+   skybox       = "Orxonox/skyBoxBasic"
+  >
+
+    <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
+    <Light type=directional position="-100, 10000, -700" direction="0.2, -1, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+    <SpawnPoint team=0 position="0,-4.5,49" lookat="-10000,0,0" spawnclass=SpaceShip pawndesign=spaceshipOrxoBlox/>
+
+    <!--SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort /--->
+
+    <!--<Model mesh="axes.mesh" scale=10 position="0,0,0" /> -->
+
+
+    <OrxoBloxCenterpoint name=OrxoBloxcenter dimension="90,100" balltemplate=OrxoBloxball  ballspeed=200 ballaccfactor=1.0  StoneTemplate=OrxoBloxstone WallTemplate=OrxoBloxwall >
+        
+      <attached>
+            <!-- Balken die das Spielfeld begrenzen. -->
+          <Model position="0,0,-49" mesh="cube.mesh" scale3D="45,1,1" />
+          <Model position="46,0,0" mesh="cube.mesh" scale3D="1,1,50"/>
+          <Model position="-46,0,0" mesh="cube.mesh" scale3D="1,1,50"/>
+      </attached>
+    </OrxoBloxCenterpoint>
+      
+  
+
+  </Scene>
+</Level>
+
Index: code/branches/Presentation_FS19/data/levels/pong.oxw
===================================================================
--- code/branches/Presentation_FS19/data/levels/pong.oxw	(revision 12410)
+++ code/branches/Presentation_FS19/data/levels/pong.oxw	(revision 12411)
@@ -16,4 +16,5 @@
   <PongBat>
     <camerapositions>
+      <!---- Verschidene Kameraeinstellungen festlegen ---->
       <CameraPosition position="0,150,0" pitch=-90 absolute=true />
       <CameraPosition position="0,50,160" drag=true mouselook=true />
@@ -50,5 +51,4 @@
   </PongBall>
 </Template>
-
 
 <Level
Index: code/branches/Presentation_FS19/data/levels/templates/spaceshipEscort.oxt
===================================================================
--- code/branches/Presentation_FS19/data/levels/templates/spaceshipEscort.oxt	(revision 12410)
+++ code/branches/Presentation_FS19/data/levels/templates/spaceshipEscort.oxt	(revision 12411)
@@ -44,5 +44,5 @@
     <attached>
       <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="escortShip.mesh" />
-      <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
+      <Model position="50,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
 <!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
 <Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
Index: code/branches/Presentation_FS19/data/levels/templates/spaceshipOrxoBlox.oxt
===================================================================
--- code/branches/Presentation_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12411)
+++ code/branches/Presentation_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12411)
@@ -0,0 +1,105 @@
+<Template name=spaceshipOrxoBlox>
+  <OrxoBloxShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipescortcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 4
+
+   
+   shieldhealth        = 20
+   initialshieldhealth = 20
+   maxshieldhealth     = 20
+   shieldabsorption    = 0.1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 150
+   auxilaryThrust    = 30
+   rotationThrust    = 100
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 20
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 6
+
+   collisionType     = "dynamic"
+   mass              = 4200000
+   linearDamping     = 0.9
+   angularDamping    = 0.9999999
+
+   collisiondamage = 100
+   enablecollisiondamage = true
+   
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipOrxoBloxengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipOrxoBloxengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" direction="0,0,0" roll=0 scale=1 mesh="escortShip.mesh" />
+      <Model position="0,0,0" direction="0,0,0" roll=0 scale=1 mesh="escortWeapon.mesh" />
+<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
+<Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="-12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="0,0,-12" scale3D="4,4,7" /-->
+    </attached>
+    <explosion >
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="Orxonox/explosion2b" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+    </explosion>
+<?lua
+  include("../includes/OrxoBloxWeapon.oxi")
+?>
+  </OrxoBloxShip>
+</Template>
+
+<Template name=spaceshipescortcameras defaults=0>
+  <OrxoBloxShip>
+    <camerapositions>
+    <CameraPosition position="0,100,0" pitch=-90 absolute=true drag = false mouselook=true/>
+    <CameraPosition position="0,0,0" drag=true mouselook=true />
+    <CameraPosition position="0,40,125" drag=true mouselook=true />
+    <CameraPosition position="0,30, 90" drag=true mouselook=true />
+    </camerapositions>
+  </OrxoBloxShip>
+</Template>
+
+<Template name=spaceshipOrxoBloxengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2.2
+
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+  >
+
+
+  </MultiStateEngine>
+</Template>
+
+
+<Template name=OrxoBloxstone>
+  <OrxoBloxStones collisionType=dynamic>
+    <attached>
+      <Model position="0,0,0" mesh="CuboidBody.mesh" scale3D="4.5,4.5,4.5" />
+      <Model position="0,0,0" mesh="cube_orange.mesh" scale=4.3 />
+    </attached>
+    <collisionShapes> 
+          <BoxCollisionShape position="0,0,0" halfExtents="4,4,4" /> 
+    </collisionShapes> 
+  </OrxoBloxStones>
+</Template>
Index: code/branches/Presentation_FS19/data/levels/tetris.oxw
===================================================================
--- code/branches/Presentation_FS19/data/levels/tetris.oxw	(revision 12410)
+++ code/branches/Presentation_FS19/data/levels/tetris.oxw	(revision 12411)
@@ -125,64 +125,7 @@
       </controller>
     </SpaceShip>
-    
-   <SpaceShip position="-500,-500,-400" lookat="0,0,0">
-      <templates>
-        <Template link=spaceshippirate />
-      </templates>
-      <controller>
-        <WaypointController team=10>
-          <waypoints>
-            <Model mesh="cube.mesh" scale=0 position="-1000,-200,0" />
-            <Model mesh="cube.mesh" scale=0 position="-700,-150,650" />
-            <Model mesh="cube.mesh" scale=0 position="-55,-75,1000" />
-            <Model mesh="cube.mesh" scale=0 position="650,100,650" />          
-            <Model mesh="cube.mesh" scale=0 position="1000,150,0" />
-            <Model mesh="cube.mesh" scale=0 position="650,100,-650" />
-            <Model mesh="cube.mesh" scale=0 position="-55,0,-1000" />
-            <Model mesh="cube.mesh" scale=0 position="-700,-100,-650" />
-          </waypoints>
-        </WaypointController>
-      </controller>
-    </SpaceShip>
-    
-       <SpaceShip position="-700,200,651" lookat="1,0,0">
-      <templates>
-        <Template link=spaceshipghost />
-      </templates>
-      <controller>
-        <WaypointController team=10 accuracy=300>
-          <waypoints>
-            <Model mesh="cube.mesh" scale=0 position="-700,200,650" />
-            <Model mesh="cube.mesh" scale=0 position="-55,100,1000" />
-            <Model mesh="cube.mesh" scale=0 position="650,0,650" />          
-            <Model mesh="cube.mesh" scale=0 position="1000,-100,0" />
-            <Model mesh="cube.mesh" scale=0 position="650,0,-650" />
-            <Model mesh="cube.mesh" scale=0 position="-55,100,-1000" />
-            <Model mesh="cube.mesh" scale=0 position="-700,200,-650" />
-            <Model mesh="cube.mesh" scale=0 position="-1000,300,0" />
-          </waypoints>
-        </WaypointController>
-      </controller>
-    </SpaceShip>
-    
-    <SpaceShip position="1000,-75,0" lookat="0,0,0">
-      <templates>
-        <Template link=spaceshipHtwo />
-      </templates>
-      <controller>
-        <WaypointController team=10>
-          <waypoints>
-            <Model mesh="cube.mesh" scale=0 position="400,240,400" />
-            <Model mesh="cube.mesh" scale=0 position="-55,240,700" />
-            <Model mesh="cube.mesh" scale=0 position="-500,240,400" />
-            <Model mesh="cube.mesh" scale=0 position="-700,240,0" />
-            <Model mesh="cube.mesh" scale=0 position="-500,240,-400" />
-            <Model mesh="cube.mesh" scale=0 position="-55,240,-700" />
-            <Model mesh="cube.mesh" scale=0 position="400,240,-400" />
-            <Model mesh="cube.mesh" scale=0 position="700,240,0" />
-          </waypoints>
-        </WaypointController>
-      </controller>
-    </SpaceShip>
+
+
+   
     
     
Index: code/branches/Presentation_FS19/data/levels/towerDefense.oxw
===================================================================
--- code/branches/Presentation_FS19/data/levels/towerDefense.oxw	(revision 12410)
+++ code/branches/Presentation_FS19/data/levels/towerDefense.oxw	(revision 12411)
@@ -106,11 +106,11 @@
         </links>
         <Weapon>          
-          <LightningGun mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=4 />
+          <BallGun mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=0 shielddamage=4 />
         </Weapon>
       </WeaponPack>
     </weaponpacks>
     <munition>
-      <LightningMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
-    </munition>
+      <BallMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>x
     <attached>
       <Backlight position="0,0,0" scale=2.0 colour="0.4, 0.0, 1.0" width=10 length=10 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
Index: code/branches/Presentation_FS19/data/overlays/OrxoBloxHUD.oxo
===================================================================
--- code/branches/Presentation_FS19/data/overlays/OrxoBloxHUD.oxo	(revision 12411)
+++ code/branches/Presentation_FS19/data/overlays/OrxoBloxHUD.oxo	(revision 12411)
@@ -0,0 +1,33 @@
+<Template name="OrxoBloxHUD">
+  <OverlayGroup name="OrxoBloxHUD" scale = "1, 1">
+    <OrxoBloxScore
+     position  = "0.9, 0.2"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+    />
+
+    <OverlayText
+     position  = "0.7, 0.20"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     caption   = "Points: "
+    />
+
+
+
+  </OverlayGroup>
+</Template>
+
+
+
+<Template name="spectatorhud">
+  <OverlayGroup name = "spectatorhud" scale = "1, 1">
+  </OverlayGroup>
+</Template>
Index: code/branches/Presentation_FS19/data/tcl/orxokart_highscores.txt
===================================================================
--- code/branches/Presentation_FS19/data/tcl/orxokart_highscores.txt	(revision 12410)
+++ code/branches/Presentation_FS19/data/tcl/orxokart_highscores.txt	(revision 12411)
@@ -19,2 +19,4 @@
 Name: 0:25:40s
 Name: 1:27:11s
+Name: 0:29:74s
+Name: 0:24:15s
